# Interface ResourceProviderRegistry

interface ResourceProviderRegistry {
resourcesApi: ResourcesApi;
registerResourceProvider(provider: ResourceProvider): void;
}

#### Hierarchy

- ResourceProviderRegistry
  - ServerAPI

- Defined in resourcesapi.ts:391

##### Index

### Resources API

resourcesApi
registerResourceProvider

## Resources API

### resourcesApi

resourcesApi: ResourcesApi

Access the Resources API to list, get, set, and delete resources.

- Defined in resourcesapi.ts:405

### registerResourceProvider

- registerResourceProvider(provider: ResourceProvider): void

  Used by Resource Provider plugins to register each resource type it handles. See `Resource Provider Plugins` for details.

  #### Parameters

  - provider: ResourceProvider

  #### Returns void

  - Defined in resourcesapi.ts:398